<?php

class CT_CtHeading_Widget extends Case_Theme_Core_Widget_Base{
    protected $name = 'ct_heading';
    protected $title = 'Heading';
    protected $icon = 'eicon-heading';
    protected $categories = array( 'case-theme-core' );
    protected $params = '{"sections":[{"name":"title_section","label":"Title","tab":"content","controls":[{"name":"title","label":"Title","type":"textarea","label_block":true},{"name":"title_tag","label":"Heading HTML Tag","type":"select","options":{"h1":"H1","h2":"H2","h3":"H3","h4":"H4","h5":"H5","h6":"H6","div":"div","span":"span","p":"p"},"default":"h3"},{"name":"title_color","label":"Title Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title":"color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--title i":"color: {{VALUE}};"}},{"name":"title_typography","label":"Title Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-heading .item--title"},{"name":"title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":0},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--title":"margin-bottom: {{SIZE}}{{UNIT}};"}},{"name":"style","label":"Style","type":"select","options":{"st-default":"Default","st-line-left1":"Line Left Style 1","st-line-left2":"Line Left Style 2","st-line-left3":"Line Left Style 3","st-line-right1":"Line Right Style 1","st-line-top1":"Line Top Style 1","st-line-top2":"Line Top Style 2","st-line-bottom1":"Line Bottom Style 1"},"default":"st-default"},{"name":"divider_width","label":"Divider Width","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":1000}},"selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-bottom1 .ct-heading-divider span":"width: {{SIZE}}{{UNIT}};"},"condition":{"style":"st-line-bottom1"}},{"name":"st_line_dot_color1","label":"Line Color 1","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(1) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(3) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(4) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(5) ":"background-color: {{VALUE}} !important;"},"condition":{"style":"st-line-left3"}},{"name":"st_line_dot_color2","label":"Line Color 2","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(2) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(6) ":"background-color: {{VALUE}} !important;"},"condition":{"style":"st-line-left3"}},{"name":"st_line_color","label":"Line Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-left1 span i":"background: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left2 span i:after":"background: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left2 span i:before":"background: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-top1 .ct-heading-divider span":"background: {{VALUE}} !important;"},"condition":{"style":["st-line-left1","st-line-left2","st-line-top1"]}},{"name":"ct_animate","label":"Case Animate","type":"select","options":{"":"None","wow bounce":"bounce","wow flash":"flash","wow pulse":"pulse","wow rubberBand":"rubberBand","wow shake":"shake","wow swing":"swing","wow tada":"tada","wow wobble":"wobble","wow bounceIn":"bounceIn","wow bounceInDown":"bounceInDown","wow bounceInLeft":"bounceInLeft","wow bounceInRight":"bounceInRight","wow bounceInUp":"bounceInUp","wow bounceOut":"bounceOut","wow bounceOutDown":"bounceOutDown","wow bounceOutLeft":"bounceOutLeft","wow bounceOutRight":"bounceOutRight","wow bounceOutUp":"bounceOutUp","wow fadeIn":"fadeIn","wow fadeInDown":"fadeInDown","wow fadeInDownBig":"fadeInDownBig","wow fadeInLeft":"fadeInLeft","wow fadeInLeftBig":"fadeInLeftBig","wow fadeInRight":"fadeInRight","wow fadeInRightBig":"fadeInRightBig","wow fadeInUp":"fadeInUp","wow fadeInUpBig":"fadeInUpBig","wow fadeOut":"fadeOut","wow fadeOutDown":"fadeOutDown","wow fadeOutDownBig":"fadeOutDownBig","wow fadeOutLeft":"fadeOutLeft","wow fadeOutLeftBig":"fadeOutLeftBig","wow fadeOutRight":"fadeOutRight","wow fadeOutRightBig":"fadeOutRightBig","wow fadeOutUp":"fadeOutUp","wow fadeOutUpBig":"fadeOutUpBig","wow flip":"flip","wow flipInX":"flipInX","wow flipInY":"flipInY","wow flipOutX":"flipOutX","wow flipOutY":"flipOutY","wow lightSpeedIn":"lightSpeedIn","wow lightSpeedOut":"lightSpeedOut","wow rotateIn":"rotateIn","wow rotateInDownLeft":"rotateInDownLeft","wow rotateInDownRight":"rotateInDownRight","wow rotateInUpLeft":"rotateInUpLeft","wow rotateInUpRight":"rotateInUpRight","wow rotateOut":"rotateOut","wow rotateOutDownLeft":"rotateOutDownLeft","wow rotateOutDownRight":"rotateOutDownRight","wow rotateOutUpLeft":"rotateOutUpLeft","wow rotateOutUpRight":"rotateOutUpRight","wow hinge":"hinge","wow rollIn":"rollIn","wow rollOut":"rollOut","wow zoomIn":"zoomIn","wow zoomInDown":"zoomInDown","wow zoomInLeft":"zoomInLeft","wow zoomInRight":"zoomInRight","wow zoomInUp":"zoomInUp","wow zoomOut":"zoomOut","wow zoomOutDown":"zoomOutDown","wow zoomOutLeft":"zoomOutLeft","wow zoomOutRight":"zoomOutRight","wow zoomOutUp":"zoomOutUp"},"default":""},{"name":"ct_animate_delay","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]},{"name":"sub_title_section","label":"Sub Title","tab":"content","condition":{"style":["st-default","st-line-left2","st-line-left3","st-line-bottom1"]},"controls":[{"name":"sub_title","label":"Sub Title","type":"text","label_block":true},{"name":"sub_title_color","label":"Sub Title Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--sub-title.style3:before":"background-color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--sub-title.style7:before":"background-color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--sub-title.style7:after":"background-color: {{VALUE}};"}},{"name":"sub_title_typography","label":"Sub Title Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-heading .item--sub-title"},{"name":"sub_title_space_top","label":"Top Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":0},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"margin-top: {{SIZE}}{{UNIT}};"},"condition":{"sub_title_style":"style2"}},{"name":"sub_title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":9},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"margin-bottom: {{SIZE}}{{UNIT}};"},"condition":{"sub_title_style":"style1"}},{"name":"sub_title_style","label":"Style","type":"select","options":{"style1":"Style 1","style2":"Style 2","style3":"Style 3","style4":"Style 4","style5":"Style 5","style6":"Style 6","style7":"Style 7","style8":"Style 8","style9":"Style 9"},"default":"style1"},{"name":"sub_title_line","label":"Line","type":"select","options":{"show":"Show","hide":"Hide"},"default":"show","condition":{"style":["st-default","st-line-bottom1"]}}]},{"name":"content_alignment_section","label":"Content Alignment","tab":"content","controls":[{"name":"text_align","label":"Alignment","type":"choose","control_type":"responsive","options":{"left":{"title":"Left","icon":"fa fa-align-left"},"center":{"title":"Center","icon":"fa fa-align-center"},"right":{"title":"Right","icon":"fa fa-align-right"}},"selectors":{"{{WRAPPER}} .ct-heading":"text-align: {{VALUE}};"}}]}]}';
    protected $styles = array(  );
    protected $scripts = array(  );
}